#include "ttl_p.h"

DWORD  TtTab::get_ex_style()   { return 0; }
DWORD  TtTab::get_style()      { return 0; }
PCTSTR TtTab::get_class_name() { return WC_TABCONTROL; }

int TtTab::get_count(){
  return SendMessage( this->h_wnd, TCM_GETITEMCOUNT, 0, 0 );
}


int TtTab::insert_at( int index, const char *str ) {
  TCITEM tc_item;
  tc_item.mask = TCIF_TEXT;
  tc_item.pszText = (char *)str;
  return TabCtrl_InsertItem( this->h_wnd, index, &tc_item );
}


int TtTab::delete_at( int index ){
  return SendMessage( this->h_wnd, TCM_DELETEITEM, index, 0 );
}

int TtTab::clear(){
  return SendMessage( this->h_wnd, TCM_DELETEALLITEMS, 0, 0 );
}


int TtTab::set_current( int index ){
  return SendMessage( this->h_wnd, TCM_SETCURSEL, index, 0 );
}

int TtTab::get_current() {
  return TabCtrl_GetCurSel( this->h_wnd );
}


RECT TtTab::get_view_rect() {
  RECT rect;
  GetClientRect( this->h_wnd, &rect );
  SendMessage( this->h_wnd, TCM_ADJUSTRECT, 0, (LPARAM)&rect );
  return rect;
}
